#!/usr/bin/perl

# variables are preceded by an "$"
print "\n\nSimple variables";
$number = 20; 
$string = "I am";

print "\n$string $number years old";

# 1D array of values
print "\n\n1 dimensional arrays";

@bunch_of_numbers = (5,10,23,18); # these values are held

print "\n$bunch_of_numbers[0]"; # 1st array member (notice we start at 0)
print "\n$bunch_of_numbers[3]"; # 4th array member

# Arrays can be made n dimensional by adding more square brackets
print "\n\nN dimensional arrays";

$x = 2;
$y = 3;
$z = 5;

$number[$x][$y][$z] = 4; # this could hold values of a 3d matrix, retrievable by their x,y,z coordinates
print "\n$number[$x][$y][$z]"; # the array coordinates must be numbers

# Hashes
print "\n\nHashes";
$location{Harvard} = "Cambridge"; # Hashes can take a string, like "Harvard", as a key
print "\n$location{Harvard}\n";